"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

// import '../scss/components/Fields/_material.scss';
var FloatingInput = function FloatingInput(_ref) {
  var labelName = _ref.labelName,
      value = _ref.value,
      _ref$onChange = _ref.onChange,
      onChange = _ref$onChange === void 0 ? function () {} : _ref$onChange,
      onFocus = _ref.onFocus,
      onBlur = _ref.onBlur,
      onEnter = _ref.onEnter,
      _ref$type = _ref.type,
      type = _ref$type === void 0 ? "text" : _ref$type,
      error = _ref.error,
      debounce = _ref.debounce,
      _ref$hidden = _ref.hidden,
      hidden = _ref$hidden === void 0 ? false : _ref$hidden,
      index = _ref.index,
      id = _ref.id,
      symbol = _ref.symbol,
      maxLength = _ref.maxLength,
      max = _ref.max,
      capitalize = _ref.capitalize,
      _ref$className = _ref.className,
      className = _ref$className === void 0 ? '' : _ref$className,
      _ref$countryCode = _ref.countryCode,
      countryCode = _ref$countryCode === void 0 ? '+91' : _ref$countryCode,
      _ref$integer = _ref.integer,
      integer = _ref$integer === void 0 ? false : _ref$integer;
  var node = null;
  var inputSymbol = '';
  var isPhone = false;

  if (capitalize) {
    capitalize = {
      textTransform: 'capitalize'
    };
  }

  if (type == 'phone') {
    isPhone = true;
    type = 'number';
  }

  if (symbol) {
    inputSymbol = _react.default.createElement("div", {
      style: {
        width: 20,
        position: 'absolute',
        top: 1
      }
    }, _react.default.createElement("span", {
      style: {
        verticalAlign: 'middle'
      }
    }, symbol));
  }

  var maxLengthProp = {};

  if (maxLength && type != 'number') {
    maxLengthProp = {
      maxLength: maxLength
    };
  }

  var extraProps = {};

  if (type == 'number') {
    extraProps = {
      min: -9999999999,
      max: max || 9999999999,
      step: 0.00000000001,
      onKeyUp: function onKeyUp(e) {
        if (type == 'number' && e.target.validity) {
          console.log('value', e.target.value);

          if (!e.target.validity.valid || integer && e.target.value.indexOf('.') != -1) {
            e.target.value = '';
          }
        }
      }
    };
  }

  return !hidden ? _react.default.createElement("div", {
    className: "group ".concat(className)
  }, inputSymbol, _react.default.createElement("input", _extends({
    className: error ? "inputMaterial invalid" : "inputMaterial",
    style: symbol ? _objectSpread({
      paddingLeft: 20
    }, capitalize) : _objectSpread({}, capitalize),
    ref: function ref(c) {
      node = c;
    },
    onChange: debounce ? window.debounce(function () {
      if (node) {
        if (!node.value) node.value = '';
        onChange(node.value, index);
      }
    }) : function () {
      if (node) {
        if (!node.value) node.value = '';
        onChange(node.value, index);
      }
    },
    onBlur: onBlur,
    onFocus: onFocus,
    type: type
  }, extraProps, maxLengthProp, {
    defaultValue: value,
    id: id,
    required: true,
    autoCapitalize: "off",
    autoComplete: "off",
    autoCorrect: "off",
    onKeyUp: function onKeyUp(e) {
      if (e.keyCode == 13 && onEnter) {
        onEnter();
      }

      if (maxLength && type == "number") {
        if (node.value.length > maxLength) {
          node.value = node.value.slice(0, 10);
        }
      }
    }
  })), _react.default.createElement("span", {
    className: error ? "highlight invalid" : "highlight"
  }), _react.default.createElement("span", {
    className: error ? "bar invalid" : "bar"
  }), isPhone ? _react.default.createElement("span", {
    className: "countryCode"
  }, countryCode) : null, _react.default.createElement("label", {
    style: symbol ? {
      paddingLeft: 20
    } : {},
    className: error ? "invalid" : "normal"
  }, labelName), error ? _react.default.createElement("span", {
    className: "error"
  }, error, " ") : null) : _react.default.createElement("div", null);
};

var _default = FloatingInput;
exports.default = _default;