"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getPosition = exports.getCurrentStyle = void 0;

var getCurrentStyle = function getCurrentStyle(position) {
  var positions = {
    left: {
      transform: 'translateX(-100%)'
    },
    center: {
      transform: 'translateX(0%)'
    },
    right: {
      transform: 'translateX(100%)'
    }
  };
  return positions[position];
};

exports.getCurrentStyle = getCurrentStyle;

var getPosition = function getPosition(element) {
  var xPosition = 0;
  var yPosition = 0;

  while (element) {
    xPosition += element.offsetLeft - element.scrollLeft + element.clientLeft;
    yPosition += element.offsetTop - element.scrollTop + element.clientTop;
    element = element.offsetParent;
  }

  return {
    x: xPosition,
    y: yPosition
  };
};

exports.getPosition = getPosition;